class NativeConfigRequest {
  bool? isSignature,
      isHistory,
      isShowInfo,
      readOnlyInfo,
      readOnlyId,
      isSaveCapture,
      autoORC,
      isRandomDetect,
      isEnableSmile,
      isEnableLookLeft,
      isEnableLookRight,
      isEnableEyesBlink,
      isEnableLookStraight,
      isAutoMatching;
  int? takeDoingStep;
  String? token;
  String? bg, color;
  NativeConfigRequest({
    this.isSignature,
    this.isHistory,
    this.isShowInfo,
    this.readOnlyInfo,
    this.readOnlyId,
    this.isSaveCapture,
    this.autoORC,
    this.isRandomDetect,
    this.takeDoingStep,
    this.isEnableSmile,
    this.isEnableLookLeft,
    this.isEnableLookRight,
    this.isEnableEyesBlink,
    this.isEnableLookStraight,
    this.isAutoMatching,
    this.token,
    this.bg,
    this.color,
  });

  NativeConfigRequest.fromJson(Map<String, dynamic> json) {
    isSignature = json['isSignature'];
    isHistory = json['isHistory'];
    isShowInfo = json['isShowInfo'];
    readOnlyInfo = json['readOnlyInfo'];
    readOnlyId = json['readOnlyId'];
    isSaveCapture = json['isSaveCapture'];
    autoORC = json['autoORC'];
    isRandomDetect = json['isRandomDetect'];
    takeDoingStep = json['takeDoingStep'];
    isEnableSmile = json['isEnableSmile'];
    isEnableLookLeft = json['isEnableLookLeft'];
    isEnableLookRight = json['isEnableLookRight'];
    isEnableEyesBlink = json['isEnableEyesBlink'];
    isEnableLookStraight = json['isEnableLookStraight'];
    isAutoMatching = json['isAutoMatching'];
    token = json['token'];
    bg = json['background'];
    color = json['color'];
  }

  // Map<String, dynamic> toJson() {
  //   final data = <String, dynamic>{};
  //   data['isSignature'] = isSignature;
  //   data['isHistory'] = isHistory;
  //   data['isShowInfo'] = isShowInfo;
  //   data['readOnlyInfo'] = readOnlyInfo;
  //   data['readOnlyId'] = readOnlyId;
  //   data['isSaveCapture'] = isSaveCapture;
  //   data['autoORC'] = autoORC;
  //   data['isRandomDetect'] = isRandomDetect;
  //   data['takeDoingStep'] = takeDoingStep;
  //   data['isEnableSmile'] = isEnableSmile;
  //   data['isEnableLookLeft'] = isEnableLookLeft;
  //   data['isEnableLookRight'] = isEnableLookRight;
  //   data['isEnableEyesBlink'] = isEnableEyesBlink;
  //   data['isEnableLookStraight'] = isEnableLookStraight;
  //   data['isAutoMatching'] = isAutoMatching;
  //   data['token'] = token;
  //   return data;
  // }
}
