part of config;

class AppTheme {
  factory AppTheme() {
    return _instance;
  }

  AppTheme._internal();
  static final AppTheme _instance = AppTheme._internal();
  static Color primaryColor = const Color(0xff265BAE);
  static Color primaryVariant = const Color(0xff12244F);
  static Color onBackground = Colors.white;
  static ThemeData theme = ThemeData.light().copyWith(
    scaffoldBackgroundColor: primaryVariant,
    primaryColor: AppTheme.primaryColor,
    colorScheme: const ColorScheme.light().copyWith(
      primary: primaryColor,
      primaryVariant: primaryVariant,
      onError: Colors.red,
      background: primaryColor,
      onBackground: onBackground,
    ),
  );
}
