import '../../configs/config.dart';
import '../../modules/liveness_detection/liveness_detection.dart';

class SkdConfig {
  SkdConfig({
    this.isSignature = true,
    this.isHistoy = true,
    this.isShowInfo = true,
    this.readOnlyInfo = false,
    this.readOnlyId = true,
    this.isSaveCapture = true,
    this.isAutoMatching = false,
    this.autoORC = false,
    this.doingStep = 5,
    required this.bg,
    required this.color,
    required this.faceConfig,
  });
  bool isSignature,
      isHistoy,
      isShowInfo,
      readOnlyInfo,
      readOnlyId,
      isSaveCapture,
      isAutoMatching,
      autoORC;
  int doingStep;
  FaceConfig faceConfig;
  Color bg, color;
}

class FaceConfig {
  FaceConfig({
    this.listDetectorType = const [
      DetectionType.SMILE,
      DetectionType.LOOK_LEFT,
      DetectionType.LOOK_RIGHT,
      DetectionType.EYES_BLINK,
      DetectionType.LOOK_STRAIGHT,
    ],
    this.doingStep = 3,
    this.detectionDisplay = DetectionDisplay.RANDOM,
    this.detectionLastStep = DetectionLastStep.TAKE_PORTRAITS,
  });
  List<DetectionType> listDetectorType;
  int doingStep;
  DetectionDisplay detectionDisplay;
  DetectionLastStep detectionLastStep;
}
