import 'package:get/get.dart';

import '../../../data/models/history.dart';
import '../../app/controllers/app_controller.dart';

enum HistoryType { all, valid, novalid }

class HistoryController extends GetxController
    with StateMixin<List<HistoryModel>> {
  Rx<HistoryType> fillter = HistoryType.all.obs;
  @override
  void onInit() {
    change(Get.find<AppController>().historys, status: RxStatus.success());
    super.onInit();
  }

  void filter(HistoryType historyType) {
    fillter.value = historyType;
    switch (historyType) {
      case HistoryType.all:
        change(Get.find<AppController>().historys, status: RxStatus.success());
        break;
      case HistoryType.valid:
        change(
            Get.find<AppController>().historys.where((e) => e.check).toList(),
            status: RxStatus.success());
        break;
      default:
        change(
            Get.find<AppController>().historys.where((e) => !e.check).toList(),
            status: RxStatus.success());
    }
  }
}
