part of liveness;

class LivenessHeader extends StatelessWidget {
  const LivenessHeader({Key? key, required this.onLastStep}) : super(key: key);
  final Stream<bool> onLastStep;
  @override
  Widget build(BuildContext context) {
    return StreamBuilder<bool>(
      stream: onLastStep,
      builder: (context, snapshot) {
        return AnimatedSwitcher(
          duration: const Duration(seconds: 1),
          child: Text(
            snapshot.data ?? false
                ? 'detector_take_portaits'.tr
                : 'detector_liveness'.tr,
            key: UniqueKey(),
            textAlign: TextAlign.center,
            style: TextStyle(
              color: context.onBackground,
              fontWeight: FontWeight.w400,
              fontSize: 18,
            ),
          ),
        );
      },
    );
  }
}
